Problem s diakritikou

Sekcia: Aplikácie & Desktop 13.05 | 18:02
Avatar martin-zeleny   Používateľ

Ahojte,

stal sa mi taky divny problem s diakritikou.

Ako vid´ite d´lˇzne a mäkˇcene d´ava pred p´ismeno miesto na p´ismeno. Som myslel, ˇze ˇci to nebude slovenskou kl´avesnicou, tak som sk´usil pridaˇt ˇcesk´u. Ale nepomohlo. Neviete, kde m´am hladaˇt ?

Linux Mint 18.2 Sonya

    • RE: Problem s diakritikou 13.05 | 18:09
      Avatar qw11 ubuntu mate 18.04 64bit Asus X751LB  Používateľ

      Co ti vypise prikaz locale.

      • RE: Problem s diakritikou 13.05 | 18:13
        Avatar martin-zeleny   Používateľ

        LANG=en_US.UTF-8

        LANGUAGE=en_US

        LC_CTYPE="en_US.UTF-8"

        LC_NUMERIC=de_AT.UTF-8

        LC_TIME="en_US.UTF-8"

        LC_COLLATE="en_US.UTF-8"

        LC_MONETARY=de_AT.UTF-8

        LC_MESSAGES="en_US.UTF-8"

        LC_PAPER=de_AT.UTF-8

        LC_NAME=de_AT.UTF-8

        LC_ADDRESS=de_AT.UTF-8

        LC_TELEPHONE=de_AT.UTF-8

        LC_MEASUREMENT=de_AT.UTF-8

        LC_IDENTIFICATION=de_AT.UTF-8

        LC_ALL=

        • RE: Problem s diakritikou 13.05 | 18:55
          Avatar debian+   Návštevník

          Chyba nie je v tychto nastaveniach. Nastavil som a u mna to bolo ok.

    • RE: Problem s diakritikou 13.05 | 18:37
      Avatar debian+   Návštevník

      Robi to, aj ked das prikaz?

      setxkbmap sk
      

      Robi to aj v terminale v programe xterm?

      • RE: Problem s diakritikou 13.05 | 18:57
        Avatar debian+   Návštevník

        Co ti vypise xev, ked zadas jeden znak napriklad ý.

    • RE: Problem s diakritikou 13.05 | 20:05
      Avatar redhawk75 mx19, galliumos, antiX, Devuan,  Používateľ

      ja mam local eng, preto sa ani nesnazim 90% casu pisat s diakritikou

      ale toto by som chcel vidiet vypis locale

      • RE: Problem s diakritikou 13.05 | 20:40
        Avatar WlaSaTy   Návštevník

        Ja to mám podobne ako Martin, akurát u mňa je mix americkej (tradičné správy systému) a austrálskej (metrický systém) lokalizácie. A k tomu mám slovenskú klávesnicu. Funguje mi to bez problémov.

        Až na jednu drobnosť, neinštaloval som si som program kvôli ktorému by som si mal vypnúť ibus keďže ho bežne používam hlavne na zadávanie diakritiky.

        • RE: Problem s diakritikou 14.05 | 11:29
          Avatar martin-zeleny   Používateľ

          je to tym IBus deamonom. Keď som ho povolil, diakritika ide dobre.

          IBus deamon sa mi nainštaloval zo Zoomom. Tak som Zoom odinštaloval, ale Ibus zostal. Musel som ho odinštalovať ručne.

          Ako toto vlastne funguje ? Aplikácia si dotiahne kopec knižníc, ale už ich neodinštaluje. To potom troška robí bordel. Dá sa získať nejaký list nepotrebných knižníc a odinštalovať ich ?

          • RE: Problem s diakritikou 14.05 | 11:31
            Avatar bedňa LegacyIce-antiX  Administrátor

            sudo apt autoremove ti odinštaluje všetko nepotrebné.

            Osobne ibus nepoužívam roky a nemám žiadne problémy, ktoré mi ibus pravideľne robil.

            Táto správa neobsahuje vírus, pretože nepoužívam MS Windows. http://kernelultras.org
            • RE: Problem s diakritikou 14.05 | 12:16
              Avatar martin-zeleny   Používateľ

              to ale není pravda.

              po odinštalovaní Zoom-u som volal sudo apt autoremove a Ibus to neodinštalovalo.

              Musel som to urobiť manuálne

              • RE: Problem s diakritikou 14.05 | 12:23
                Avatar bedňa LegacyIce-antiX  Administrátor

                Na niečo ostal zavesený ako voliteľná súčasť.

                Táto správa neobsahuje vírus, pretože nepoužívam MS Windows. http://kernelultras.org
                • RE: Problem s diakritikou 14.05 | 12:27
                  Avatar martin-zeleny   Používateľ

                  takže tam môže ostať visieť viacero vecí

                  • RE: Problem s diakritikou 14.05 | 13:03
                    Avatar bedňa LegacyIce-antiX  Administrátor

                    Neber to nijak kriticky, ide len o balíčky nejak dopĺňajú funkcionalitu nejakého programu a moc miesta nezaberajú.

                    Keď sa pozrieš napríklad na Kate:

                    Depends: kate5-data (>= 4:20.04.0-1), ktexteditor-katepart, plasma-framework, qml-module-org-kde-kquickcontrolsaddons, qml-module-qtquick-layouts, qml-module-qtquick2, kio, libc6 (>= 2.14), libkf5bookmarks5 (>= 4.96.0), libkf5completion5 (>= 4.97.0), libkf5configcore5 (>= 4.97.0), libkf5configgui5 (>= 4.97.0), libkf5configwidgets5 (>= 4.98.0), libkf5coreaddons5 (>= 5.16.0), libkf5crash5 (>= 5.15.0), libkf5dbusaddons5 (>= 4.97.0), libkf5guiaddons5 (>= 4.96.0), libkf5i18n5 (>= 4.97.0), libkf5jobwidgets5 (>= 4.96.0), libkf5kiocore5 (>= 5.40.0~), libkf5kiofilewidgets5 (>= 5.40.0~), libkf5kiowidgets5 (>= 5.40.0~), libkf5newstuff5 (>= 5.27.0), libkf5parts5 (>= 4.96.0), libkf5plasma5 (>= 5.53~), libkf5service-bin, libkf5service5 (>= 4.99.0), libkf5syntaxhighlighting5 (>= 5.40.0~), libkf5texteditor5 (>= 5.40.0~), libkf5textwidgets5 (>= 5.0.0), libkf5threadweaver5 (>= 4.98.0), libkf5wallet-bin, libkf5wallet5 (>= 4.96.0), libkf5widgetsaddons5 (>= 5.13.0), libkf5windowsystem5 (>= 5.62.0), libkf5xmlgui5 (>= 4.98.0), libqt5core5a (>= 5.12.2), libqt5dbus5 (>= 5.10.0~), libqt5gui5 (>= 5.10.0~) | libqt5gui5-gles (>= 5.10.0~), libqt5sql5 (>= 5.10.0), libqt5widgets5 (>= 5.12.2), libqt5xml5 (>= 5.10.0~), libstdc++6 (>= 5.2)
                    Recommends: sonnet-plugins
                    Suggests: khelpcenter, konsole-kpart, git, subversion, mercurial, darcs, exuberant-ctags
                    Homepage: https://kate-editor.org/
                    Tag: devel::editor, implemented-in::c++, interface::graphical,
                     interface::x11, role::program, scope::application, scope::utility,
                     suite::kde, uitoolkit::qt, use::editing, works-with::text,
                     x11::application

                    Tak tam vidíš Depends:, Recommends:, Suggests: a každé distro si dodatočné balíčky reši po svojom.

                    Konkrétne nastavenia nájdeš v /etc/apt/apt.conf, ďalej v /etc/apt/apt.conf.d/* a v /etc/apt/preferences.d/*.

                    Táto správa neobsahuje vírus, pretože nepoužívam MS Windows. http://kernelultras.org
          • RE: Problem s diakritikou 14.05 | 13:39
            Avatar WlaSaTy   Návštevník

            Ono je to vo svete DEB balíkov zložitejšie. Debian Like distrá majú metabalíky ktoré neobsahujú kód, ale majú náväznosti na skupiny iných balíkov alebo na vyžadovanú funkcionalitu. Potom balíky majú príznak akú funkcionalitu poskytujú. A v rámci tej funkcionality majú informáciu či sa neznesú z alternatívou.

            Takže len ty vieš, či sa ti v tom Minte pri inštalácii ZOOMu ponúklo niečo odinštalovač (čo bolo nahradené iBusom), alebo či ten iBus dokázal existovať s podobným programom a len sa to prestavilo v detailnom nastavení klávesnice alebo jazyka.

            Takže to nemuselo odinštalovať čo nainštalovalo, ak to logika veci nevyžadovala.

            PS: Keď robíš takéto veci, tak si píš poznámky že čo si kedy robil aby si sa potom zbytočne netrápil keď niečo pokazíš. A vedel to zrolovať. A nemusel to preinštalovať. Inak, že si to pokazil, to je normálne. To sa nám všetkým stalo veľa krát.

            • RE: Problem s diakritikou 14.05 | 22:36
              Avatar martin-zeleny   Používateľ

              mne sa marí, že nechcel nič odinštalovať, akurát zobrazil aké balíky potrebuje nainštalovať. Pamätám si iba ten IBus.

              Tá myšlienka o robení poznámok je trefná. Predpokladám, že je získaná skusenosťami a nejedným búchaním hlavy o stôl :-)

              • RE: Problem s diakritikou 15.05 | 08:26
                Avatar WlaSaTy   Návštevník

                Trieskanie hlavou o stôl/stenu to nebolo, som od prírody kľudný človek. Ale bolo to podobným spôsobom:

                Otázka po preinštalácii systému: Jak som túto blbosť riešil dva roky dozadu? Jáj, už to mám. Tiež mi to vtedy trvalo cca dva dni. Jak som to zas teraz urobil? No nič, nebudem to siliť. Už sa vyjasňuje počasie, a nemám dôvod strácať čas zavretý doma pri počítači. Na budúce, asi tak o dva roky si to už napíšem. Ak nezabudnem.

                Linux má v tomto jednu obrovskú výhodu oproti SpywareOS. Bez problémov ho preklopíš na iné železo. Ak chceš.

    • RE: Problem s diakritikou 13.05 | 22:09
      Avatar vxmery Mint 19.3 Cinnamon  Administrátor

      Ako tak pozerám, som poriadny nacionalista

      LANG=sk_SK.UTF-8
      LANGUAGE=sk
      LC_CTYPE="sk_SK.UTF-8"
      LC_NUMERIC="sk_SK.UTF-8"
      LC_TIME="sk_SK.UTF-8"
      LC_COLLATE="sk_SK.UTF-8"
      LC_MONETARY="sk_SK.UTF-8"
      LC_MESSAGES="sk_SK.UTF-8"
      LC_PAPER="sk_SK.UTF-8"
      LC_NAME="sk_SK.UTF-8"
      LC_ADDRESS="sk_SK.UTF-8"
      LC_TELEPHONE="sk_SK.UTF-8"
      LC_MEASUREMENT="sk_SK.UTF-8"
      LC_IDENTIFICATION="sk_SK.UTF-8"
      LC_ALL=
      
      • RE: Problem s diakritikou 13.05 | 22:13
        Avatar Livan Manjaro, Arch, všetko s XFCE  Používateľ

        Aj ja to tak mám.

        • RE: Problem s diakritikou 14.05 | 07:23
          Avatar bedňa LegacyIce-antiX  Administrátor

          Ja mám

          $ locale
          LANG=en_US.UTF-8
          LANGUAGE=
          LC_CTYPE="en_US.UTF-8"
          LC_NUMERIC="en_US.UTF-8"
          LC_TIME="en_US.UTF-8"
          LC_COLLATE="en_US.UTF-8"
          LC_MONETARY="en_US.UTF-8"
          LC_MESSAGES="en_US.UTF-8"
          LC_PAPER="en_US.UTF-8"
          LC_NAME="en_US.UTF-8"
          LC_ADDRESS="en_US.UTF-8"
          LC_TELEPHONE="en_US.UTF-8"
          LC_MEASUREMENT="en_US.UTF-8"
          LC_IDENTIFICATION="en_US.UTF-8"
          LC_ALL=

          a žiadne problémy s diakritikou nemám.

          Zmieňovaný problém je známy a už roky som ho nevidel a samozrejme zabudol o čom bol :-)
          Podľa mňa má zlý defaultný font.

          Táto správa neobsahuje vírus, pretože nepoužívam MS Windows. http://kernelultras.org
          • RE: Problem s diakritikou 14.05 | 08:19
            Avatar Pavel Linux Mint, Manjaro  Administrátor

            Ja som mal pekných pár rokov dozadu problém s diakritikou, tuším som to obišiel cez fstab, už si nespomínam na parameter, či UTF-8,,,

      • RE: Problem s diakritikou 14.05 | 11:14
        Avatar 7R7 Debian Stretch a Debian Sid  Používateľ

        Som na tom rovnako, ak potrebujem niečo z anglickej klávesnice použijem pravý alt (altgr)

    • RE: Problem s diakritikou 14.05 | 08:24
      Avatar Pavel Linux Mint, Manjaro  Administrátor

      Len tak narýchlo som prešiel web, už to RIEŠIL pred časom aj niekto iný a opravila to aktualizácia.

      • RE: Problem s diakritikou 14.05 | 09:07
        Avatar WlaSaTy   Návštevník

        Pokiaľ mu tá aktualizácia znova zapne ibus, tak to bude v poriadku. Ale asi ju už má dávno nainštalovanú.